%define eigen_version 2.0.3

Name:		step
Summary:	Interactive physical simulator
Version: 4.9.3
Release: 1
Group:		Graphical desktop/KDE
License:	GPLv2 GFDL
URL:		http://edu.kde.org/step/
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(eigen2) >= %{eigen_version}
BuildRequires:	pkgconfig(libqalculate)
BuildRequires:	pkgconfig(gsl)

%description
Step is an interactive physical simulator. It works like this:
you place some bodies on the scene, add some forces such as gravity
or springs, then click "Simulate" and Step shows you how your scene
will evolve according to the laws of physics. You can change every
property of bodies/forces in your experiment (even during simulation)
and see how this will change evolution of the experiment. With Step
you can not only learn but feel how physics works!

%files
%doc README AUTHORS ChangeLog COPYING COPYING.DOC DESIGN TODO
%{_kde_bindir}/step
%{_kde_applicationsdir}/step.desktop
%{_kde_appsdir}/step
%{_kde_datadir}/config.kcfg/step.kcfg
%{_kde_configdir}/step.knsrc
%{_kde_docdir}/HTML/en/step
%{_kde_iconsdir}/hicolor/*/apps/step.png

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 4.9.3-1
+ Revision: 822131
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 4.9.2-1
+ Revision: 818268
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 4.9.0-1
+ Revision: 811795
- New release

  + Andrey Bondrov <abondrov@mandriva.org>
    - Adjust spec cosmetics

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 4.8.97-1
+ Revision: 809408
- New release

* Sat Jun 09 2012 Crispin Boylan <crisb@mandriva.org> 4.8.4-1
+ Revision: 803744
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 4.8.3-1
+ Revision: 796303
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 4.8.2-1
+ Revision: 792032
- New release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.8.0-1
+ Revision: 762508
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.97-1
+ Revision: 758093
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.95-1
+ Revision: 744572
- New upstream tarball

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.90-1
+ Revision: 739327
- New upstream tarball $NEW_VERSION

* Sat Nov 19 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.80-1
+ Revision: 731879
- New upstream tarball 4.7.80

* Wed Nov 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.41-1
+ Revision: 729217
- Import package

